<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts PUBLIC
    "-//Apache Software Foundation//DTD Struts Configuration 2.0//EN"
    "http://struts.apache.org/dtds/struts-2.0.dtd">

<struts>
	
	<!-- Actions relacionados con contrato -->
	<package name="titulosLicense" namespace="/contrato/license/titulos" extends="struts-default,json-default">

		<action name="index" class="com.mx.dla.dda.contrato.license.titulo.actions.TituloFeeAction">
			<result>/jsp/dda/contrato/license/titulo/index.jsp</result>
		</action>

		<action name="guardarCambiosPermanente" method="guardarCambiosPermanente" class="com.mx.dla.dda.contrato.license.titulo.actions.TituloFeeAction">
			<result type="json">
			</result>
		</action>
		
		<action name="cargaMasiva" method="cargaMasiva" class="com.mx.dla.dda.contrato.license.titulo.actions.TituloFeeAction">
			<result type="json">
			</result>
		</action>
		
		<action name="*TituloGrid" method="{1}" class="com.mx.dla.dda.contrato.license.titulo.actions.TituloFeeGridAction">
			<result type="json">
			</result>
		</action>
						
		<action name="*TituloAsync" method="{1}" class="com.mx.dla.dda.contrato.license.titulo.actions.TituloFeeAsyncAction">
			<result type="json">
			</result>
		</action>
		
		<!-- 
		<action name="*AmortizacionGrid" method="{1}" class="com.mx.dla.dda.contrato.titulo.actions.TituloAmortizacionGridAction">
			<result type="json">
			</result>
		</action>
 		-->
		<action name="*TituloDescarga" class="com.mx.dla.dda.contrato.license.titulo.actions.TituloFeeAction" method="{1}">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="${fileFileName}"</param>
			</result>
		</action>
	</package>
	

	<package name="terminosLicense" namespace="/contrato/license/terminos" extends="struts-default,json-default">
		<action name="index*" class="com.mx.dla.dda.contrato.license.terminos.actions.ContratoTerminosLicenseAction" method="{1}">
			<result name="success">/jsp/dda/contrato/license/terminos/terminos.jsp</result>
			<result name="regresar" type="json" />
		</action>			
	</package>
				
</struts>